summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2021-02-09 10:57:10 -0800
committerBrian C. Lane <bcl@redhat.com>2021-02-09 10:57:10 -0800
commitc2a3476ac260169a4d89b761ddbde63bc8169a28 (patch)
treead93b4d8ddf1fb0d0f08ca652a421c3710f52016
parentf1933b9408b9b0c6c124eec5d50e355a0bda84f1 (diff)
downloadparted-c2a3476ac260169a4d89b761ddbde63bc8169a28.tar.gz
t0501-duplicate.sh: Add some more disk label types to the duplicate test
Add sun, atari, mac, and pc98 to the disklabels that we test ped_disk_duplicate on. aix isn't included because it doesn't support adding partitions. dvh doesn't support boot partition loop cannot be partitioned
-rw-r--r--tests/t0501-duplicate.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/t0501-duplicate.sh b/tests/t0501-duplicate.sh
index 5b886c3..17a1740 100644
--- a/tests/t0501-duplicate.sh
+++ b/tests/t0501-duplicate.sh
@@ -18,8 +18,13 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../parted .
-for t in msdos gpt bsd; do
- duplicate $t || fail=1
+for t in msdos gpt bsd sun atari mac pc98; do
+ case $t in
+ atari) [ $ss -ne 512 ] && continue
+ ;;
+ *) duplicate $t || fail=1
+ ;;
+ esac
done
Exit $fail